Index: trunk/NEMO/LIM_SRC_3/limdyn.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limdyn.F90	(revision 1102)
+++ trunk/NEMO/LIM_SRC_3/limdyn.F90	(revision 1103)
@@ -115,5 +115,5 @@
                   i_j1 = i_j1 + 1
                END DO
-               i_j1 = MAX( 1, i_j1-1 )
+               i_j1 = MAX( 1, i_j1-2 )
                IF(ln_ctl) CALL prt_ctl_info( 'lim_dyn  : NH  i_j1 = ', ivar1=i_j1, clinfo2=' ij_jpj = ', ivar2=i_jpj )
                CALL lim_rhg( i_j1, i_jpj )
@@ -125,17 +125,17 @@
                   i_jpj = i_jpj - 1
                END DO
-               i_jpj = MIN( jpj, i_jpj+2 )
+               i_jpj = MIN( jpj, i_jpj+1 )
                IF(ln_ctl) CALL prt_ctl_info( 'lim_dyn  : SH  i_j1 = ', ivar1=i_j1, clinfo2=' ij_jpj = ', ivar2=i_jpj )
 
-               CALL lim_rhg( i_j1, i_jpj )
-
-            ELSE                                 ! local domain extends over one hemisphere only
-               !                                 ! Rheology is computed only over the ice cover
-               !                                 ! latitude strip
-               i_j1  = 1
+       CALL lim_rhg( i_j1, i_jpj )
+
+    ELSE                                 ! local domain extends over one hemisphere only
+       !                                 ! Rheology is computed only over the ice cover
+       !                                 ! latitude strip
+       i_j1  = 1
                DO WHILE ( i_j1 <= jpj .AND. zind(i_j1) == FLOAT(jpi) .AND. zmsk(i_j1) /=0 )
                   i_j1 = i_j1 + 1
                END DO
-               i_j1 = MAX( 1, i_j1-1 )
+               i_j1 = MAX( 1, i_j1-2 )
 
                i_jpj  = jpj
@@ -143,5 +143,5 @@
                   i_jpj = i_jpj - 1
                END DO
-               i_jpj = MIN( jpj, i_jpj+2)
+               i_jpj = MIN( jpj, i_jpj+1)
 
                IF(ln_ctl) CALL prt_ctl_info( 'lim_dyn  : one hemisphere:  i_j1 = ', ivar1=i_j1, clinfo2=' ij_jpj = ', ivar2=i_jpj )
Index: trunk/NEMO/LIM_SRC_3/limistate.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limistate.F90	(revision 1102)
+++ trunk/NEMO/LIM_SRC_3/limistate.F90	(revision 1103)
@@ -290,5 +290,5 @@
                      t_s(ji,jj,jk,jl) = zidto(ji,jj) * 270.00 + ( 1.0 - zidto(ji,jj) ) * rtt
                      ! Snow energy of melting
-                     e_s(ji,jk,jk,jl) = zidto(ji,jj) * rhosn * ( cpic * ( rtt - t_s(ji,jj,jk,jl) ) + lfus )
+                     e_s(ji,jj,jk,jl) = zidto(ji,jj) * rhosn * ( cpic * ( rtt - t_s(ji,jj,jk,jl) ) + lfus )
                      ! Change dimensions
                      e_s(ji,jj,jk,jl) = e_s(ji,jj,jk,jl) / unit_fac
Index: trunk/NEMO/LIM_SRC_3/limthd_dif.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limthd_dif.F90	(revision 1102)
+++ trunk/NEMO/LIM_SRC_3/limthd_dif.F90	(revision 1103)
@@ -112,5 +112,5 @@
          maxnumeqmax
 
-      INTEGER , DIMENSION(jpij) :: &
+      INTEGER , DIMENSION(kiut) :: &
          numeqmin, &   ! reference number of top equation
          numeqmax, &   ! reference number of bottom equation
@@ -118,5 +118,5 @@
 
       !! * New local variables       
-      REAL(wp) , DIMENSION(jpij,0:nlay_i) ::    &
+      REAL(wp) , DIMENSION(kiut,0:nlay_i) ::    &
          ztcond_i,    & !Ice thermal conductivity
          zradtr_i,    & !Radiation transmitted through the ice
@@ -124,10 +124,10 @@
          zkappa_i       !Kappa factor in the ice
 
-      REAL(wp) , DIMENSION(jpij,0:nlay_s) ::    &
+      REAL(wp) , DIMENSION(kiut,0:nlay_s) ::    &
          zradtr_s,    & !Radiation transmited through the snow
          zradab_s,    & !Radiation absorbed in the snow
          zkappa_s       !Kappa factor in the snow
 
-      REAL(wp) , DIMENSION(jpij,0:nlay_i) :: &
+      REAL(wp) , DIMENSION(kiut,0:nlay_i) :: &
          ztiold,      & !Old temperature in the ice
          zeta_i,      & !Eta factor in the ice 
@@ -136,5 +136,5 @@
          z_i            !Vertical cotes of the layers in the ice
 
-      REAL(wp) , DIMENSION(jpij,0:nlay_s) :: &
+      REAL(wp) , DIMENSION(kiut,0:nlay_s) :: &
          zeta_s,      & !Eta factor in the snow
          ztstemp,     & !Temporary temperature in the snow to check the convergence
@@ -142,13 +142,13 @@
          z_s            !Vertical cotes of the layers in the snow
 
-      REAL(wp) , DIMENSION(jpij,jkmax+2) ::    &
+      REAL(wp) , DIMENSION(kiut,jkmax+2) ::    &
          zindterm,    & ! Independent term
          zindtbis,    & ! temporary independent term
          zdiagbis
 
-      REAL(wp) , DIMENSION(jpij,jkmax+2,3) ::  &
+      REAL(wp) , DIMENSION(kiut,jkmax+2,3) ::  &
          ztrid          ! tridiagonal system terms
 
-      REAL(wp), DIMENSION(jpij) ::  &
+      REAL(wp), DIMENSION(kiut) ::  &
          ztfs     ,   & ! ice melting point
          ztsuold  ,   & ! old surface temperature (before the iterative
@@ -175,5 +175,5 @@
          zerritmax              ! current maximal error on temperature 
 
-      REAL(wp), DIMENSION(jpij)  :: &
+      REAL(wp), DIMENSION(kiut)  :: &
          zerrit,             &  ! current error on temperature 
          zdifcase,           &  ! case of the equation resolution (1->4)