Index: /trunk/CONFIG/GYRE/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/GYRE/scripts/BB_make.ldef	(revision 1104)
+++ /trunk/CONFIG/GYRE/scripts/BB_make.ldef	(revision 1105)
@@ -42,5 +42,7 @@
 #-Q- lxiv8  prefix = -D
 #-Q- g95    prefix = -D
+#-Q- gfortran  prefix = -D
 #-Q- aix    prefix = -WF,-D
+#-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
 
Index: /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make.ldef	(revision 1104)
+++ /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make.ldef	(revision 1105)
@@ -42,5 +42,7 @@
 #-Q- lxiv8  prefix = -D
 #-Q- g95    prefix = -D
+#-Q- gfortran  prefix = -D
 #-Q- aix    prefix = -WF,-D
+#-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
 
Index: /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 1104)
+++ /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 1105)
@@ -42,5 +42,7 @@
 #-Q- lxiv8  prefix = -D
 #-Q- g95    prefix = -D
+#-Q- gfortran  prefix = -D
 #-Q- aix    prefix = -WF,-D
+#-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
 
Index: unk/CONFIG/ORCA2_LIM_PISCES/Makefile
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/Makefile	(revision 1104)
+++ 	(revision )
@@ -1,60 +1,0 @@
-#---------------------------------------------------------------------
-#- Creation des elements relatifs a ORCA :
-#-      ORCA  (lib, executable : opa)
-#---------------------------------------------------------------------
-SHELL = /bin/sh
-#---------------------------------------------------------------------
-LIBDIR = ../../../../lib
-BINDIR = ../../../../bin
-MODDIR = $(LIBDIR)
-#---------------------------------------------------------------------
-#-
-#-
-#- $Id: AA_make.gdef 317 2008-04-14 16:27:52Z mafoipsl $
-#-
-#- Global definitions for NEC SX8 at CCRT
-LIB_MPI = MPI1
-LIB_MPI_BIS = MPI1
-PRISM_ARCH = SX
-PRISM_NAME = mercure
-FCM_ARCH = SX8_MERCURE
-M_K = sxgmake
-P_C = cpp
-P_O = -P -C $(P_P)
-F_C = sxmpif90 -c
-F_D =
-F_P = -dW -Wf\"-A idbl4\"
-F_O = $(F_D) $(F_P) -Ep -DCPP_PARA -size_t64 -Wf,"-pvctl loopcnt=999999" -I $(MODDIR)
-F_L = sxmpif90
-M_M = 1
-L_X = 0
-L_O = -size_t64 $(F_P)
-A_C = sxar -rv
-A_G = sxar -x
-A_X = sxar -rv
-C_C = sxcc -size_t64 -c
-C_O =
-C_L = sxcc -size_t64
-FC_C = gcc -c
-FC_O =
-FC_L = gcc
-#-
-NCDF_INC = /usr/local/SX8/soft/netcdf/include
-NCDF_LIB = -L/usr/local/SX8/soft/netcdf/lib -lnetcdf
-#-
-RM      = rm -f
-STRIP   = strip
-SIZE    = size
-# $Header$
-all: ioipsl opa
-
-ioipsl:
-	(cd ../../modeles/IOIPSL/src; $(M_K) ;)
-
-
-opa:
-	(cd ../../modeles/NEMO/WORK;  $(M_K) ;)
-
-
-clean:
-	(cd ../../modeles/NEMO/WORK;  $(M_K) clean ;)
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make.ldef	(revision 1104)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make.ldef	(revision 1105)
@@ -42,5 +42,7 @@
 #-Q- lxiv8  prefix = -D
 #-Q- g95    prefix = -D
+#-Q- gfortran  prefix = -D
 #-Q- aix    prefix = -WF,-D
+#-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
 
Index: unk/CONFIG/ORCA2_OFF_PISCES/Makefile
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/Makefile	(revision 1104)
+++ 	(revision )
@@ -1,60 +1,0 @@
-#---------------------------------------------------------------------
-#- Creation des elements relatifs a ORCA :
-#-      ORCA  (lib, executable : opa)
-#---------------------------------------------------------------------
-SHELL = /bin/sh
-#---------------------------------------------------------------------
-LIBDIR = ../../../../lib
-BINDIR = ../../../../bin
-MODDIR = $(LIBDIR)
-#---------------------------------------------------------------------
-#-
-#-
-#- $Id: AA_make.gdef 317 2008-04-14 16:27:52Z mafoipsl $
-#-
-#- Global definitions for NEC SX8 at CCRT
-LIB_MPI = MPI1
-LIB_MPI_BIS = MPI1
-PRISM_ARCH = SX
-PRISM_NAME = mercure
-FCM_ARCH = SX8_MERCURE
-M_K = sxgmake
-P_C = cpp
-P_O = -P -C $(P_P)
-F_C = sxmpif90 -c
-F_D =
-F_P = -dW -Wf\"-A idbl4\"
-F_O = $(F_D) $(F_P) -Ep -DCPP_PARA -size_t64 -Wf,"-pvctl loopcnt=999999" -I $(MODDIR)
-F_L = sxmpif90
-M_M = 1
-L_X = 0
-L_O = -size_t64 $(F_P)
-A_C = sxar -rv
-A_G = sxar -x
-A_X = sxar -rv
-C_C = sxcc -size_t64 -c
-C_O =
-C_L = sxcc -size_t64
-FC_C = gcc -c
-FC_O =
-FC_L = gcc
-#-
-NCDF_INC = /usr/local/SX8/soft/netcdf/include
-NCDF_LIB = -L/usr/local/SX8/soft/netcdf/lib -lnetcdf
-#-
-RM      = rm -f
-STRIP   = strip
-SIZE    = size
-# $Header$
-all: ioipsl opa
-
-ioipsl:
-	(cd ../../modeles/IOIPSL/src; $(M_K) ;)
-
-
-opa:
-	(cd ../../modeles/NEMO/WORK;  $(M_K) ;)
-
-
-clean:
-	(cd ../../modeles/NEMO/WORK;  $(M_K) clean ;)
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make.ldef	(revision 1104)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make.ldef	(revision 1105)
@@ -42,5 +42,7 @@
 #-Q- lxiv8  prefix = -D
 #-Q- g95    prefix = -D
+#-Q- gfortran  prefix = -D
 #-Q- aix    prefix = -WF,-D
+#-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
 
Index: /trunk/UTIL/fait_AA_make
===================================================================
--- /trunk/UTIL/fait_AA_make	(revision 1104)
+++ /trunk/UTIL/fait_AA_make	(revision 1105)
@@ -84,4 +84,5 @@
 	@\$(F_C) \\
 #-Q- aix		-qsuffix=f=F90 \\
+#-Q- babel		-qsuffix=f=F90 \\
 #-Q- osxxlf		-qsuffix=f=F90 \\
 	\$(P_P) \$(F_O) \\
@@ -92,4 +93,5 @@
 #-Q- eshpux		-R2 \\
 #-Q- aix		-qsource \\
+#-Q- babel		-qsource \\
 	   OPAFILES/\$*.F90 || { mv \$(PREF).L \$(TMP) ; false ; exit ; }
 #-Q- sxdkrz		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
@@ -113,5 +115,5 @@
 \$(MODEL_LIB):	\$(LIB_OBJ)
 		@echo
-		@echo La bibliotheque est a jour
+		@echo The library is up-to-date
 		@echo
 
@@ -128,4 +130,5 @@
 #-Q- eshpux		-R2 \\
 #-Q- aix		-qsource \\
+#-Q- babel		-qsource \\
 		\$*.f90 || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
 #-Q- sxdkrz		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
@@ -135,4 +138,5 @@
 		@if [ -f \$*.mod ] ; then mv \$*.mod \$(MODDIR)/oce ; fi
 #-Q- aix		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
+#-Q- babel		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- linux		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- osxxlf		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
@@ -145,5 +149,4 @@
 		@(cd OPAFILES ; ./conv agrif_opa.in -rm \\
 #-Q- linux		-SubloopScalar \\
-#-Q- lxiv8		-SubloopScalar \\
 #-Q- g95			-SubloopScalar \\
 #-Q- f95			-SubloopScalar \\
@@ -160,4 +163,5 @@
 #-Q- eshpux		-R2 \\
 #-Q- aix		-qsource \\
+#-Q- babel		-qsource \\
 		OPAFILES/\$*.F90 || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; } 
 else
@@ -169,4 +173,5 @@
 #-Q- eshpux		-R2 \\
 #-Q- aix		-qsource \\
+#-Q- babel		-qsource \\
 		\$*.F90 || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
 endif
@@ -177,4 +182,5 @@
 		@if [ -f \$*.mod ] ; then mv \$*.mod \$(MODDIR)/oce ; fi
 #-Q- aix		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
+#-Q- babel		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- linux		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- osxxlf		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
@@ -187,5 +193,4 @@
 		@(cd OPAFILES ; ./conv agrif_opa.in -rm \\
 #-Q- linux		-SubloopScalar \\
-#-Q- lxiv8		-SubloopScalar \\
 #-Q- g95			-SubloopScalar \\
 #-Q- f95			-SubloopScalar \\
@@ -202,4 +207,5 @@
 #-Q- eshpux		-R2 \\
 #-Q- aix		-qsource \\
+#-Q- babel		-qsource \\
 		OPAFILES/\$*.F || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; } 
 else
@@ -211,4 +217,5 @@
 #-Q- eshpux		-R2 \\
 #-Q- aix		-qsource \\
+#-Q- babel		-qsource \\
 		\$*.F || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
 endif
@@ -219,4 +226,5 @@
 		@if [ -f \$*.mod ] ; then mv \$*.mod \$(MODDIR)/oce ; fi
 #-Q- aix		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
+#-Q- babel		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- linux		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- osxxlf		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
@@ -232,4 +240,5 @@
 #-Q- eshpux		-R2 \\
 #-Q- aix		-qsource \\
+#-Q- babel		-qsource \\
 		\$*.f|| { if [ -f \$(PREF)\$*.L ] ; then mv \$*.L \$(TMP) ; fi ; false ; exit ; }
 #-Q- sxdkrz		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
@@ -238,4 +247,5 @@
 		@\$(RM) -f \$*.o
 #-Q- aix		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
+#-Q- babel		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- linux	@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- osxxlf		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
@@ -250,4 +260,9 @@
 echo '# some variables'
 echo 'TMP = ../../../tmp'
+echo ''
+echo '#WARNING : NEMO does NOT support fortran 95 signed zero behaviour when using intrinsec SIGN function'
+echo '#          This doesnt happen whith Fortran 90 compilers but'
+echo '#          Check your compilers option in consequence when using real F95 compilers'
+echo ''
 echo '#-Q- sx8mercure  # Compiler options NEMO (CEA SX6-NEC) '
 echo '#-Q- sx8mercure  F_O = -size_t64 -dw -Wf\"-A dbl4\" -sx6 -C vopt -Wf"-P nh" -Wf',-pvctl noassume loopcnt=10000 -L transform' -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)'
@@ -286,4 +301,8 @@
 echo '#-Q- g95  F_F = $(F_O)'-ffixed-form -ffixed-line-length-132
 echo '#-Q- g95  L_X = -r8 -O3'
+echo '#-Q- gfortran  # Compiler options for NEMO (gfortran version)'
+echo '#-Q- gfortran  F_O = -fno-second-underscore -fdefault-real-8 -funroll-all-loops -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)'
+echo '#-Q- gfortran  F_F = $(F_O)-ffixed-form -ffixed-line-length-132'
+echo '#-Q- gfortran  L_X = -fdefault-real-8'
 echo '#-Q- aix    # Compiler options for NEMO (aix version)'
 echo '#-Q- aix    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)' 
@@ -291,4 +310,8 @@
 echo '#-Q- aix   L_O = $(F_P) -q64 -O3'
 echo '#-Q- aix   L_X = $(L_O)'
+echo '#-Q- babel  # Compiler options for NEMO (blue gene version)'
+echo '#-Q- babel  F_O =  -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)'
+echo '#-Q- babel  F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)'
+echo '#-Q- babel  L_X = $(L_O)'
 echo '#-Q- osxxlf    # Compiler options for NEMO (osxxlf version)'
 echo '#-Q- osxxlf    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname -qstrict -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)' 