Index: /trunk/CONFIG/GYRE/EXP00/namelist
===================================================================
--- /trunk/CONFIG/GYRE/EXP00/namelist	(revision 1107)
+++ /trunk/CONFIG/GYRE/EXP00/namelist	(revision 1108)
@@ -4,5 +4,5 @@
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
 !!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
-!!              4 - lateral boundary (namlbc, namcla, namobc)
+!!              4 - lateral boundary (namlbc, namcla, namobc, nambdy, namtide)
 !!              5 - bottom  boundary (nambfr, nambbc, nambbl)
 !!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
@@ -379,4 +379,6 @@
 !!   namcla        cross land advection
 !!   namobc        open boundaries parameters                           ("key_obc")
+!!   nambdy        Unstructured open boundaries                         ("key_bdy")
+!!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
 !!======================================================================
 
@@ -425,4 +427,44 @@
     ln_obc_clim = .true.
     ln_vol_cst  = .false.
+/
+!-----------------------------------------------------------------------
+!       nambdy    unstructured open boundaries parameters               ("key_bdy")
+!-----------------------------------------------------------------------
+!  filbdy_mask     Name of mask file (at T-points)
+!  filbdy_data_T   Name of data file (at T-points)
+!  filbdy_data_U   Name of data file (at U-points)
+!  filbdy_data_V   Name of data file (at V-points)
+!  ln_bdy_clim     bdy files must contain 1 or 12 time dumps and be cyclic. 
+!  ln_bdy_vol      Total volume correction (see volbdy parameter)
+!  ln_bdy_fla      Flather boundary conditions                         
+!  nbdy_dta        0 the bdy data are equal to the initial state
+!                  1 the bdy data are read in 'bdydata   .nc' files
+!  nb_rimwidth     width of the relaxation zone
+!  volbdy          0 the total water flux across open boundaries is zero 
+!                  1 the total volume of the system is conserved
+&nambdy
+    filbdy_mask   = 'bdymask_grid_T.nc'
+    filbdy_data_T = 'bdydata_grid_T.nc'
+    filbdy_data_U = 'bdydata_grid_U.nc'
+    filbdy_data_V = 'bdydata_grid_V.nc'
+    ln_bdy_clim = .false.
+    ln_bdy_vol  = .false.
+    ln_bdy_fla  = .true.
+    nbdy_dta    = 1
+    nb_rimwidth = 1
+    volbdy      = 1
+/
+!-----------------------------------------------------------------------
+!       namtide   tidal forcing at unstructured boundaries              ("key_bdy_tides")
+!-----------------------------------------------------------------------
+!  filtide         File name root of tidal forcing files
+!  tide_cpt        Names of tidal components used
+!  tide_speed      Phase speeds of tidal components (deg/hour)
+!  ln_tide_date    If true, adjust tidal harmonics for start date of run.
+&namtide
+    filtide      = 'bdytide_'
+    tide_cpt     = 'M2','S1'
+    tide_speed   = 28.984106, 15.000001
+    ln_tide_date = .true.
 /
 
Index: /trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist
===================================================================
--- /trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 1107)
+++ /trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 1108)
@@ -4,5 +4,5 @@
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
 !!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
-!!              4 - lateral boundary (namlbc, namcla, namobc)
+!!              4 - lateral boundary (namlbc, namcla, namobc, nambdy, namtide)
 !!              5 - bottom  boundary (nambfr, nambbc, nambbl)
 !!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
@@ -379,4 +379,6 @@
 !!   namcla        cross land advection
 !!   namobc        open boundaries parameters                           ("key_obc")
+!!   nambdy        Unstructured open boundaries                         ("key_bdy")
+!!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
 !!======================================================================
 
@@ -425,4 +427,44 @@
     ln_obc_clim = .true.
     ln_vol_cst  = .false.
+/
+!-----------------------------------------------------------------------
+!       nambdy    unstructured open boundaries parameters               ("key_bdy")
+!-----------------------------------------------------------------------
+!  filbdy_mask     Name of mask file (at T-points)
+!  filbdy_data_T   Name of data file (at T-points)
+!  filbdy_data_U   Name of data file (at U-points)
+!  filbdy_data_V   Name of data file (at V-points)
+!  ln_bdy_clim     bdy files must contain 1 or 12 time dumps and be cyclic. 
+!  ln_bdy_vol      Total volume correction (see volbdy parameter)
+!  ln_bdy_fla      Flather boundary conditions                         
+!  nbdy_dta        0 the bdy data are equal to the initial state
+!                  1 the bdy data are read in 'bdydata   .nc' files
+!  nb_rimwidth     width of the relaxation zone
+!  volbdy          0 the total water flux across open boundaries is zero 
+!                  1 the total volume of the system is conserved
+&nambdy
+    filbdy_mask   = 'bdymask_grid_T.nc'
+    filbdy_data_T = 'bdydata_grid_T.nc'
+    filbdy_data_U = 'bdydata_grid_U.nc'
+    filbdy_data_V = 'bdydata_grid_V.nc'
+    ln_bdy_clim = .false.
+    ln_bdy_vol  = .false.
+    ln_bdy_fla  = .true.
+    nbdy_dta    = 1
+    nb_rimwidth = 1
+    volbdy      = 1
+/
+!-----------------------------------------------------------------------
+!       namtide   tidal forcing at unstructured boundaries              ("key_bdy_tides")
+!-----------------------------------------------------------------------
+!  filtide         File name root of tidal forcing files
+!  tide_cpt        Names of tidal components used
+!  tide_speed      Phase speeds of tidal components (deg/hour)
+!  ln_tide_date    If true, adjust tidal harmonics for start date of run.
+&namtide
+    filtide      = 'bdytide_'
+    tide_cpt     = 'M2','S1'
+    tide_speed   = 28.984106, 15.000001
+    ln_tide_date = .true.
 /
 
Index: /trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1107)
+++ /trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1108)
@@ -4,5 +4,5 @@
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
 !!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
-!!              4 - lateral boundary (namlbc, namcla, namobc)
+!!              4 - lateral boundary (namlbc, namcla, namobc, nambdy, namtide)
 !!              5 - bottom  boundary (nambfr, nambbc, nambbl)
 !!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
@@ -379,4 +379,6 @@
 !!   namcla        cross land advection
 !!   namobc        open boundaries parameters                           ("key_obc")
+!!   nambdy        Unstructured open boundaries                         ("key_bdy")
+!!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
 !!======================================================================
 
@@ -425,4 +427,44 @@
     ln_obc_clim = .true.
     ln_vol_cst  = .false.
+/
+!-----------------------------------------------------------------------
+!       nambdy    unstructured open boundaries parameters               ("key_bdy")
+!-----------------------------------------------------------------------
+!  filbdy_mask     Name of mask file (at T-points)
+!  filbdy_data_T   Name of data file (at T-points)
+!  filbdy_data_U   Name of data file (at U-points)
+!  filbdy_data_V   Name of data file (at V-points)
+!  ln_bdy_clim     bdy files must contain 1 or 12 time dumps and be cyclic. 
+!  ln_bdy_vol      Total volume correction (see volbdy parameter)
+!  ln_bdy_fla      Flather boundary conditions                         
+!  nbdy_dta        0 the bdy data are equal to the initial state
+!                  1 the bdy data are read in 'bdydata   .nc' files
+!  nb_rimwidth     width of the relaxation zone
+!  volbdy          0 the total water flux across open boundaries is zero 
+!                  1 the total volume of the system is conserved
+&nambdy
+    filbdy_mask   = 'bdymask_grid_T.nc'
+    filbdy_data_T = 'bdydata_grid_T.nc'
+    filbdy_data_U = 'bdydata_grid_U.nc'
+    filbdy_data_V = 'bdydata_grid_V.nc'
+    ln_bdy_clim = .false.
+    ln_bdy_vol  = .false.
+    ln_bdy_fla  = .true.
+    nbdy_dta    = 1
+    nb_rimwidth = 1
+    volbdy      = 1
+/
+!-----------------------------------------------------------------------
+!       namtide   tidal forcing at unstructured boundaries              ("key_bdy_tides")
+!-----------------------------------------------------------------------
+!  filtide         File name root of tidal forcing files
+!  tide_cpt        Names of tidal components used
+!  tide_speed      Phase speeds of tidal components (deg/hour)
+!  ln_tide_date    If true, adjust tidal harmonics for start date of run.
+&namtide
+    filtide      = 'bdytide_'
+    tide_cpt     = 'M2','S1'
+    tide_speed   = 28.984106, 15.000001
+    ln_tide_date = .true.
 /
 
Index: /trunk/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1107)
+++ /trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1108)
@@ -4,5 +4,5 @@
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
 !!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
-!!              4 - lateral boundary (namlbc, namcla, namobc)
+!!              4 - lateral boundary (namlbc, namcla, namobc, nambdy, namtide)
 !!              5 - bottom  boundary (nambfr, nambbc, nambbl)
 !!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
@@ -379,4 +379,6 @@
 !!   namcla        cross land advection
 !!   namobc        open boundaries parameters                           ("key_obc")
+!!   nambdy        Unstructured open boundaries                         ("key_bdy")
+!!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
 !!======================================================================
 
@@ -425,4 +427,44 @@
     ln_obc_clim = .true.
     ln_vol_cst  = .false.
+/
+!-----------------------------------------------------------------------
+!       nambdy    unstructured open boundaries parameters               ("key_bdy")
+!-----------------------------------------------------------------------
+!  filbdy_mask     Name of mask file (at T-points)
+!  filbdy_data_T   Name of data file (at T-points)
+!  filbdy_data_U   Name of data file (at U-points)
+!  filbdy_data_V   Name of data file (at V-points)
+!  ln_bdy_clim     bdy files must contain 1 or 12 time dumps and be cyclic. 
+!  ln_bdy_vol      Total volume correction (see volbdy parameter)
+!  ln_bdy_fla      Flather boundary conditions                         
+!  nbdy_dta        0 the bdy data are equal to the initial state
+!                  1 the bdy data are read in 'bdydata   .nc' files
+!  nb_rimwidth     width of the relaxation zone
+!  volbdy          0 the total water flux across open boundaries is zero 
+!                  1 the total volume of the system is conserved
+&nambdy
+    filbdy_mask   = 'bdymask_grid_T.nc'
+    filbdy_data_T = 'bdydata_grid_T.nc'
+    filbdy_data_U = 'bdydata_grid_U.nc'
+    filbdy_data_V = 'bdydata_grid_V.nc'
+    ln_bdy_clim = .false.
+    ln_bdy_vol  = .false.
+    ln_bdy_fla  = .true.
+    nbdy_dta    = 1
+    nb_rimwidth = 1
+    volbdy      = 1
+/
+!-----------------------------------------------------------------------
+!       namtide   tidal forcing at unstructured boundaries              ("key_bdy_tides")
+!-----------------------------------------------------------------------
+!  filtide         File name root of tidal forcing files
+!  tide_cpt        Names of tidal components used
+!  tide_speed      Phase speeds of tidal components (deg/hour)
+!  ln_tide_date    If true, adjust tidal harmonics for start date of run.
+&namtide
+    filtide      = 'bdytide_'
+    tide_cpt     = 'M2','S1'
+    tide_speed   = 28.984106, 15.000001
+    ln_tide_date = .true.
 /
 
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1107)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1108)
@@ -4,5 +4,5 @@
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
 !!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
-!!              4 - lateral boundary (namlbc, namcla, namobc)
+!!              4 - lateral boundary (namlbc, namcla, namobc, nambdy, namtide)
 !!              5 - bottom  boundary (nambfr, nambbc, nambbl)
 !!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
@@ -379,4 +379,6 @@
 !!   namcla        cross land advection
 !!   namobc        open boundaries parameters                           ("key_obc")
+!!   nambdy        Unstructured open boundaries                         ("key_bdy")
+!!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
 !!======================================================================
 
@@ -425,4 +427,44 @@
     ln_obc_clim = .true.
     ln_vol_cst  = .false.
+/
+!-----------------------------------------------------------------------
+!       nambdy    unstructured open boundaries parameters               ("key_bdy")
+!-----------------------------------------------------------------------
+!  filbdy_mask     Name of mask file (at T-points)
+!  filbdy_data_T   Name of data file (at T-points)
+!  filbdy_data_U   Name of data file (at U-points)
+!  filbdy_data_V   Name of data file (at V-points)
+!  ln_bdy_clim     bdy files must contain 1 or 12 time dumps and be cyclic. 
+!  ln_bdy_vol      Total volume correction (see volbdy parameter)
+!  ln_bdy_fla      Flather boundary conditions                         
+!  nbdy_dta        0 the bdy data are equal to the initial state
+!                  1 the bdy data are read in 'bdydata   .nc' files
+!  nb_rimwidth     width of the relaxation zone
+!  volbdy          0 the total water flux across open boundaries is zero 
+!                  1 the total volume of the system is conserved
+&nambdy
+    filbdy_mask   = 'bdymask_grid_T.nc'
+    filbdy_data_T = 'bdydata_grid_T.nc'
+    filbdy_data_U = 'bdydata_grid_U.nc'
+    filbdy_data_V = 'bdydata_grid_V.nc'
+    ln_bdy_clim = .false.
+    ln_bdy_vol  = .false.
+    ln_bdy_fla  = .true.
+    nbdy_dta    = 1
+    nb_rimwidth = 1
+    volbdy      = 1
+/
+!-----------------------------------------------------------------------
+!       namtide   tidal forcing at unstructured boundaries              ("key_bdy_tides")
+!-----------------------------------------------------------------------
+!  filtide         File name root of tidal forcing files
+!  tide_cpt        Names of tidal components used
+!  tide_speed      Phase speeds of tidal components (deg/hour)
+!  ln_tide_date    If true, adjust tidal harmonics for start date of run.
+&namtide
+    filtide      = 'bdytide_'
+    tide_cpt     = 'M2','S1'
+    tide_speed   = 28.984106, 15.000001
+    ln_tide_date = .true.
 /
 