Index: trunk/NEMO/OPA_SRC/TRA/tranpc.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/tranpc.F90	(revision 719)
+++ trunk/NEMO/OPA_SRC/TRA/tranpc.F90	(revision 1111)
@@ -11,4 +11,5 @@
    !!                                       suppression of common work arrays
    !!            8.5  !  02-06  (G. Madec)  free form F90
+   !!            9.0  !  08-06  (G. Madec)  applied on ta, sa and called before tranxt in step.F90
    !!----------------------------------------------------------------------
 
@@ -38,5 +39,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id:$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -49,5 +50,5 @@
       !!
       !! ** Purpose :   Non penetrative convective adjustment scheme. solve 
-      !!      the static instability of the water column (now, after the swap) 
+      !!      the static instability of the water column on after fields
       !!      while conserving heat and salt contents.
       !!
@@ -57,5 +58,5 @@
       !!      l_trdtra=T: the trend associated with this algorithm is saved.
       !!
-      !! ** Action  : - (tn,sn) after the application od the npc scheme
+      !! ** Action  : - (ta,sa) after the application od the npc scheme
       !!              - save the associated trends (ttrd,strd) ('key_trdtra')
       !!
@@ -84,10 +85,10 @@
          inpci = 0
 
-         CALL eos( tn, sn, rhd, zrhop )         ! Potential density
-
-
-         IF( l_trdtra )   THEN                  ! Save tn and sn trends
-            ztrdt(:,:,:) = tn(:,:,:) 
-            ztrds(:,:,:) = sn(:,:,:) 
+         CALL eos( ta, sa, rhd, zrhop )         ! Potential density
+
+
+         IF( l_trdtra )   THEN                  ! Save ta and sa trends
+            ztrdt(:,:,:) = ta(:,:,:) 
+            ztrds(:,:,:) = sa(:,:,:) 
          ENDIF
 
@@ -160,6 +161,6 @@
                         !
                         ze3tot= fse3t(ji,jj,ikup)
-                        zta   = tn   (ji,jj,ikup)
-                        zsa   = sn   (ji,jj,ikup)
+                        zta   = ta   (ji,jj,ikup)
+                        zsa   = sa   (ji,jj,ikup)
                         zraua = zrhop(ji,jj,ikup)
                         !
@@ -171,6 +172,6 @@
                            ze3dwn =  fse3t(ji,jj,jkdown)
                            ze3tot =  ze3tot + ze3dwn
-                           zta   = ( zta*(ze3tot-ze3dwn) + tn(ji,jj,jkdown)*ze3dwn )/ze3tot
-                           zsa   = ( zsa*(ze3tot-ze3dwn) + sn(ji,jj,jkdown)*ze3dwn )/ze3tot
+                           zta   = ( zta*(ze3tot-ze3dwn) + ta(ji,jj,jkdown)*ze3dwn )/ze3tot
+                           zsa   = ( zsa*(ze3tot-ze3dwn) + sa(ji,jj,jkdown)*ze3dwn )/ze3tot
                            zraua = ( zraua*(ze3tot-ze3dwn) + zrhop(ji,jj,jkdown)*ze3dwn )/ze3tot
                            inpci = inpci+1
@@ -180,11 +181,11 @@
                         !
                         DO jkp = ikup, ikdown-1
-                           tn(ji,jj,jkp) = zta
-                           sn(ji,jj,jkp) = zsa
+                           ta(ji,jj,jkp) = zta
+                           sa(ji,jj,jkp) = zsa
                            zrhop(ji,jj,jkp) = zraua
                         END DO
                         IF (ikdown == ikbot-1 .AND. zraua >= zrhop(ji,jj,ikdown) ) THEN
-                           tn(ji,jj,ikdown) = zta
-                           sn(ji,jj,ikdown) = zsa
+                           ta(ji,jj,ikdown) = zta
+                           sa(ji,jj,ikdown) = zsa
                            zrhop(ji,jj,ikdown) = zraua
                         ENDIF
@@ -200,13 +201,13 @@
          ! 
          IF( l_trdtra )   THEN         ! save the Non penetrative mixing trends for diagnostic
-            ztrdt(:,:,:) = tn(:,:,:) - ztrdt(:,:,:)
-            ztrds(:,:,:) = sn(:,:,:) - ztrds(:,:,:)
+            ztrdt(:,:,:) = ta(:,:,:) - ztrdt(:,:,:)
+            ztrds(:,:,:) = sa(:,:,:) - ztrds(:,:,:)
             CALL trd_mod(ztrdt, ztrds, jptra_trd_npc, 'TRA', kt)
          ENDIF
       
-         ! Lateral boundary conditions on ( tn, sn )   ( Unchanged sign)
+         ! Lateral boundary conditions on ( ta, sa )   ( Unchanged sign)
          ! ------------------------------============
-         CALL lbc_lnk( tn, 'T', 1. )
-         CALL lbc_lnk( sn, 'T', 1. )
+         CALL lbc_lnk( ta, 'T', 1. )
+         CALL lbc_lnk( sa, 'T', 1. )
       
 