Index: /trunk/NEMO/LIM_SRC_3/iceini.F90
===================================================================
--- /trunk/NEMO/LIM_SRC_3/iceini.F90	(revision 1111)
+++ /trunk/NEMO/LIM_SRC_3/iceini.F90	(revision 1112)
@@ -185,6 +185,6 @@
          zx1
 
-      WRITE(numout,*) 'lim_itd_ini : Initialization of ice thickness distribution '
-      WRITE(numout,*) '~~~~~~~~~~~~'
+      IF(lwp) WRITE(numout,*) 'lim_itd_ini : Initialization of ice thickness distribution '
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
 
       !!-- End of declarations
@@ -213,13 +213,15 @@
       END DO
 
-      WRITE(numout,*) ' Number of ice types jpm =      ', jpm
-      WRITE(numout,*) ' Number of ice categories jpl = ', jpl
-      DO jm = 1, jpm
-         WRITE(numout,*) ' Ice type ', jm
-         WRITE(numout,*) ' Number of thickness categories ', ice_ncat_types(jm)
-         WRITE(numout,*) ' Thickness category boundaries  ', ice_cat_bounds(jm,1:2)
-      END DO
-      WRITE(numout,*) 'Ice type vector', ice_types(1:jpl)
-      WRITE(numout,*)
+      IF(lwp) THEN  
+         WRITE(numout,*) ' Number of ice types jpm =      ', jpm
+         WRITE(numout,*) ' Number of ice categories jpl = ', jpl
+         DO jm = 1, jpm
+            WRITE(numout,*) ' Ice type ', jm
+            WRITE(numout,*) ' Number of thickness categories ', ice_ncat_types(jm)
+            WRITE(numout,*) ' Thickness category boundaries  ', ice_cat_bounds(jm,1:2)
+         END DO
+         WRITE(numout,*) 'Ice type vector', ice_types(1:jpl)
+         WRITE(numout,*)
+      ENDIF
 
       !- Thickness categories boundaries 
@@ -247,12 +249,14 @@
       END DO
 
-      WRITE(numout,*) ' Thickness category boundaries independently of ice type '
-      WRITE(numout,*) ' hi_max ', hi_max(0:jpl)
-
-      WRITE(numout,*) ' Thickness category boundaries inside ice types '
-      DO jm = 1, jpm
-         WRITE(numout,*) ' Type number ', jm
-         WRITE(numout,*) ' hi_max_typ : ', hi_max_typ(0:ice_ncat_types(jm),jm)
-      END DO
+      IF(lwp) WRITE(numout,*) ' Thickness category boundaries independently of ice type '
+      IF(lwp) WRITE(numout,*) ' hi_max ', hi_max(0:jpl)
+
+      IF(lwp) WRITE(numout,*) ' Thickness category boundaries inside ice types '
+      IF(lwp) THEN 
+         DO jm = 1, jpm
+            WRITE(numout,*) ' Type number ', jm
+            WRITE(numout,*) ' hi_max_typ : ', hi_max_typ(0:ice_ncat_types(jm),jm)
+         END DO
+      ENDIF
 
       DO jl = 1, jpl
Index: /trunk/NEMO/LIM_SRC_3/limwri.F90
===================================================================
--- /trunk/NEMO/LIM_SRC_3/limwri.F90	(revision 1111)
+++ /trunk/NEMO/LIM_SRC_3/limwri.F90	(revision 1112)
@@ -125,6 +125,6 @@
          CALL lim_wri_init 
 
-         WRITE(numout,*) ' lim_wri, first time step '
-         WRITE(numout,*) ' add_diag_swi ', add_diag_swi
+         IF(lwp) WRITE(numout,*) ' lim_wri, first time step '
+         IF(lwp) WRITE(numout,*) ' add_diag_swi ', add_diag_swi
 
          !--------------------
@@ -150,10 +150,10 @@
 
          DO jf = 1 , noumef
-            WRITE(numout,*) 'jf', jf
+            IF(lwp) WRITE(numout,*) 'jf', jf
             IF ( nc(jf) == 1 ) THEN
                CALL histdef( nice, nam(jf), titn(jf), uni(jf), jpi, jpj &
                   , nhorid, 1, 1, 1, -99, 32, clop, zsto, zout )
-               WRITE(numout,*) 'nice, nam(jf), titn(jf), uni(jf), nhorid, clop, zsto, zout'
-               WRITE(numout,*)  nice, nam(jf), titn(jf), uni(jf), nhorid, clop, zsto, zout 
+               IF(lwp) WRITE(numout,*) 'nice, nam(jf), titn(jf), uni(jf), nhorid, clop, zsto, zout'
+               IF(lwp) WRITE(numout,*)  nice, nam(jf), titn(jf), uni(jf), nhorid, clop, zsto, zout 
             ENDIF
          END DO
@@ -316,5 +316,5 @@
 
       IF ( ( nn_fsbc * niter + nit000 - 1 ) >= nitend .OR. kindic < 0 ) THEN
-         WRITE(numout,*) ' Closing the icemod file '
+         IF( lwp) WRITE(numout,*) ' Closing the icemod file '
          CALL histclo( nice )
       ENDIF
@@ -375,5 +375,5 @@
 
          IF ( ( nn_fsbc * niter + nit000 - 1 ) >= nitend .OR. kindic < 0 ) THEN
-            WRITE(numout,*) ' Closing the icemod file '
+            IF(lwp) WRITE(numout,*) ' Closing the icemod file '
             CALL histclo( nicea ) 
          ENDIF