Index: trunk/CONFIG/GYRE/EXP00/namelist
===================================================================
--- trunk/CONFIG/GYRE/EXP00/namelist	(revision 1113)
+++ trunk/CONFIG/GYRE/EXP00/namelist	(revision 1114)
@@ -206,11 +206,4 @@
    sn_sst      =  'sst_data.nc'     ,        24.        ,  'sst'     ,     .false.    ,    0   ,    0
    sn_sss      =  'sss_data.nc'     ,       -12.        ,  'sss'     ,     .true.     ,    0   ,    0
-   
-!  nn_sstr   =0/1   add a retroaction term in the surface heat flux
-!  nn_sssr   =O/1/2 add a damping term in the surface freshwater flux
-!             (=1, salt flux, concentration/dillution emps only)
-!             (=2, volume flux, both emp and emps are updated) 
-!  dqdt       magnitude of the retroaction on temperature [W/m2/K]
-!  deds       magnitude of the damping on salinity [mm/day]
 !
    cn_dir      = './'      !  root directory for the location of the runoff files
Index: trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist
===================================================================
--- trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 1113)
+++ trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 1114)
@@ -206,11 +206,4 @@
    sn_sst      =  'sst_data.nc'     ,        24.        ,  'sst'     ,     .false.    ,    0   ,    0
    sn_sss      =  'sss_data.nc'     ,       -12.        ,  'sss'     ,     .true.     ,    0   ,    0
-   
-!  nn_sstr   =0/1   add a retroaction term in the surface heat flux
-!  nn_sssr   =O/1/2 add a damping term in the surface freshwater flux
-!             (=1, salt flux, concentration/dillution emps only)
-!             (=2, volume flux, both emp and emps are updated) 
-!  dqdt       magnitude of the retroaction on temperature [W/m2/K]
-!  deds       magnitude of the damping on salinity [mm/day]
 !
    cn_dir      = './'      !  root directory for the location of the runoff files
Index: trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1113)
+++ trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1114)
@@ -206,11 +206,4 @@
    sn_sst      =  'sst_data.nc'     ,        24.        ,  'sst'     ,     .false.    ,    0   ,    0
    sn_sss      =  'sss_data.nc'     ,       -12.        ,  'sss'     ,     .true.     ,    0   ,    0
-   
-!  nn_sstr   =0/1   add a retroaction term in the surface heat flux
-!  nn_sssr   =O/1/2 add a damping term in the surface freshwater flux
-!             (=1, salt flux, concentration/dillution emps only)
-!             (=2, volume flux, both emp and emps are updated) 
-!  dqdt       magnitude of the retroaction on temperature [W/m2/K]
-!  deds       magnitude of the damping on salinity [mm/day]
 !
    cn_dir      = './'      !  root directory for the location of the runoff files
Index: trunk/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1113)
+++ trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1114)
@@ -206,12 +206,5 @@
    sn_sst      =  'sst_data.nc'     ,        24.        ,  'sst'     ,     .false.    ,    0   ,    0
    sn_sss      =  'sss_data.nc'     ,       -12.        ,  'sss'     ,     .true.     ,    0   ,    0
-   
-!  nn_sstr   =0/1   add a retroaction term in the surface heat flux
-!  nn_sssr   =O/1/2 add a damping term in the surface freshwater flux
-!             (=1, salt flux, concentration/dillution emps only)
-!             (=2, volume flux, both emp and emps are updated) 
-!  dqdt       magnitude of the retroaction on temperature [W/m2/K]
-!  deds       magnitude of the damping on salinity [mm/day]
-!
+!   
    cn_dir      = './'      !  root directory for the location of the runoff files
    nn_sstr     =     0     !  add a retroaction term in the surface heat       flux (=1) or not (=0)
Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1113)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1114)
@@ -206,11 +206,4 @@
    sn_sst      =  'sst_data.nc'     ,        24.        ,  'sst'     ,     .false.    ,    0   ,    0
    sn_sss      =  'sss_data.nc'     ,       -12.        ,  'sss'     ,     .true.     ,    0   ,    0
-   
-!  nn_sstr   =0/1   add a retroaction term in the surface heat flux
-!  nn_sssr   =O/1/2 add a damping term in the surface freshwater flux
-!             (=1, salt flux, concentration/dillution emps only)
-!             (=2, volume flux, both emp and emps are updated) 
-!  dqdt       magnitude of the retroaction on temperature [W/m2/K]
-!  deds       magnitude of the damping on salinity [mm/day]
 !
    cn_dir      = './'      !  root directory for the location of the runoff files