Index: /trunk/VALID/2INSTALL/JOBS/job_GYRE.ksh
===================================================================
--- /trunk/VALID/2INSTALL/JOBS/job_GYRE.ksh	(revision 1114)
+++ /trunk/VALID/2INSTALL/JOBS/job_GYRE.ksh	(revision 1115)
@@ -54,27 +54,26 @@
 ##############################################################
 # Ocean namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist namelist_f90
-sed -e /!/d  namelist_f90 > namelist
+cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist .
 
 # namelist modifications
-PAT_NIT000=$( grep 'nit000     =' namelist )
-PAT_NITEND=$( grep 'nitend     =' namelist )
-PAT_NSTOCK=$( grep 'nstock     =' namelist )
-PAT_NWRITE=$( grep 'nwrite     =' namelist )
-PAT_NRSTDT=$( grep 'nrstdt     =' namelist )
-PAT_NBITCM=$( grep 'nbit_cmp ='   namelist )
-PAT_NSOLVV=$( grep 'nsolv     =' namelist )
-PAT_RESTAR=$( grep 'ln_rstart  =' namelist )
+PAT_NIT000=$( grep 'nit000      =' namelist )
+PAT_NITEND=$( grep 'nitend      =' namelist )
+PAT_NSTOCK=$( grep 'nstock      =' namelist )
+PAT_NWRITE=$( grep 'nwrite      =' namelist )
+PAT_NRSTDT=$( grep 'nrstdt      =' namelist )
+PAT_NBITCM=$( grep 'nbit_cmp   ='   namelist )
+PAT_NSOLVV=$( grep 'nsolv       =' namelist )
+PAT_RESTAR=$( grep 'ln_rstart   =' namelist )
 PAT_RESMLD=$( grep 'ln_trdmld_restart =' namelist )
 
-sed    -e "s/$PAT_RESTAR/   ln_rstart  =  .false./" \
--e "s/$PAT_NIT000/   nit000     =     1/" \
--e "s/$PAT_NITEND/   nitend     =     ${ITERATIONS}/" \
--e "s/$PAT_NSTOCK/   nstock     =     ${ITERATIONS}/" \
--e "s/$PAT_NWRITE/   nwrite     =     60/" \
--e "s/$PAT_NRSTDT/   nrstdt     =     0/" \
--e "s/$PAT_NBITCM/   nbit_cmp =     1/" \
--e "s/$PAT_NSOLVV/   nsolv     =      2/" \
--e "s/$PAT_RESMLD/   ln_trdmld_restart  =  .false./" \
+sed    -e "s%$PAT_RESTAR%   ln_rstart  =  .false.%" \
+-e "s%$PAT_NIT000%   nit000     =     1%" \
+-e "s%$PAT_NITEND%   nitend     =     ${ITERATIONS}%" \
+-e "s%$PAT_NSTOCK%   nstock     =     ${ITERATIONS}%" \
+-e "s%$PAT_NWRITE%   nwrite     =     75%" \
+-e "s%$PAT_NRSTDT%   nrstdt     =     0%" \
+-e "s%$PAT_NBITCM%   nbit_cmp =     1%" \
+-e "s%$PAT_NSOLVV%   nsolv     =      2%" \
+-e "s%$PAT_RESMLD%   ln_trdmld_restart  =  .false.%" \
 namelist > nam.tmp
 
Index: /trunk/VALID/2INSTALL/JOBS/job_GYRE_LOBSTER.ksh
===================================================================
--- /trunk/VALID/2INSTALL/JOBS/job_GYRE_LOBSTER.ksh	(revision 1114)
+++ /trunk/VALID/2INSTALL/JOBS/job_GYRE_LOBSTER.ksh	(revision 1115)
@@ -54,27 +54,26 @@
 ##############################################################
 # Ocean namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist namelist_f90
-sed -e /!/d  namelist_f90 > namelist
+cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist .
 
 # namelist modifications
-PAT_NIT000=$( grep 'nit000     =' namelist )
-PAT_NITEND=$( grep 'nitend     =' namelist )
-PAT_NSTOCK=$( grep 'nstock     =' namelist )
-PAT_NWRITE=$( grep 'nwrite     =' namelist )
-PAT_NRSTDT=$( grep 'nrstdt     =' namelist )
-PAT_NBITCM=$( grep 'nbit_cmp ='   namelist )
-PAT_NSOLVV=$( grep 'nsolv     =' namelist )
-PAT_RESTAR=$( grep 'ln_rstart  =' namelist )
+PAT_NIT000=$( grep 'nit000      =' namelist )
+PAT_NITEND=$( grep 'nitend      =' namelist )
+PAT_NSTOCK=$( grep 'nstock      =' namelist )
+PAT_NWRITE=$( grep 'nwrite      =' namelist )
+PAT_NRSTDT=$( grep 'nrstdt      =' namelist )
+PAT_NBITCM=$( grep 'nbit_cmp   ='   namelist )
+PAT_NSOLVV=$( grep 'nsolv       =' namelist )
+PAT_RESTAR=$( grep 'ln_rstart   =' namelist )
 PAT_RESMLD=$( grep 'ln_trdmld_restart =' namelist )
 
-sed    -e "s/$PAT_RESTAR/   ln_rstart  =  .false./" \
--e "s/$PAT_NIT000/   nit000     =     1/" \
--e "s/$PAT_NITEND/   nitend     =     ${ITERATIONS}/" \
--e "s/$PAT_NSTOCK/   nstock     =     ${ITERATIONS}/" \
--e "s/$PAT_NWRITE/   nwrite     =     60/" \
--e "s/$PAT_NRSTDT/   nrstdt     =     0/" \
--e "s/$PAT_NBITCM/   nbit_cmp =     1/" \
--e "s/$PAT_NSOLVV/   nsolv     =      2/" \
--e "s/$PAT_RESMLD/   ln_trdmld_restart  =  .false./" \
+sed    -e "s%$PAT_RESTAR%   ln_rstart  =  .false.%" \
+-e "s%$PAT_NIT000%   nit000     =     1%" \
+-e "s%$PAT_NITEND%   nitend     =     ${ITERATIONS}%" \
+-e "s%$PAT_NSTOCK%   nstock     =     ${ITERATIONS}%" \
+-e "s%$PAT_NWRITE%   nwrite     =     75%" \
+-e "s%$PAT_NRSTDT%   nrstdt     =     0%" \
+-e "s%$PAT_NBITCM%   nbit_cmp =     1%" \
+-e "s%$PAT_NSOLVV%   nsolv     =      2%" \
+-e "s%$PAT_RESMLD%   ln_trdmld_restart  =  .false.%" \
 namelist > nam.tmp
 
@@ -260,4 +259,4 @@
 if [ $type = '1_short' ] ; then
     cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/2_SHORT
-    ${LAUNCH} job_${RUN}_2_short.ksh
+    ${LAUNCH}job_${RUN}_2_short.ksh
 fi
Index: /trunk/VALID/2INSTALL/JOBS/job_ORCA2_LIM.ksh
===================================================================
--- /trunk/VALID/2INSTALL/JOBS/job_ORCA2_LIM.ksh	(revision 1114)
+++ /trunk/VALID/2INSTALL/JOBS/job_ORCA2_LIM.ksh	(revision 1115)
@@ -54,37 +54,35 @@
 ##############################################################
 # Ocean namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist namelist_f90
-sed -e /!/d  namelist_f90 > namelist
+cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist .
 
 # Sea-Ice namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist_ice namelist_ice_f90
-sed -e /!/d  namelist_ice_f90 > namelist_ice
+cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist_ice_lim2 namelist_ice
 
 # namelist modifications
-PAT_NIT000=$( grep 'nit000     =' namelist )
-PAT_NITEND=$( grep 'nitend     =' namelist )
-PAT_NSTOCK=$( grep 'nstock     =' namelist )
-PAT_NWRITE=$( grep 'nwrite     =' namelist )
-PAT_NRSTDT=$( grep 'nrstdt     =' namelist )
-PAT_NBITCM=$( grep 'nbit_cmp ='   namelist )
+PAT_NIT000=$( grep 'nit000      =' namelist )
+PAT_NITEND=$( grep 'nitend      =' namelist )
+PAT_NSTOCK=$( grep 'nstock      =' namelist )
+PAT_NWRITE=$( grep 'nwrite      =' namelist )
+PAT_NRSTDT=$( grep 'nrstdt      =' namelist )
+PAT_NBITCM=$( grep 'nbit_cmp   ='   namelist )
 PAT_TRACEN=$( grep 'ln_traadv_cen2   =' namelist )
 PAT_TRATVD=$( grep 'ln_traadv_tvd    =' namelist )
-PAT_N_CLAA=$( grep 'n_cla   =' namelist )
-PAT_NSOLVV=$( grep 'nsolv     =' namelist )
-PAT_RESTAR=$( grep 'ln_rstart  =' namelist )
+PAT_N_CLAA=$( grep 'n_cla       =' namelist )
+PAT_NSOLVV=$( grep 'nsolv       =' namelist )
+PAT_RESTAR=$( grep 'ln_rstart   =' namelist )
 PAT_RESMLD=$( grep 'ln_trdmld_restart =' namelist )
 
-sed    -e "s/$PAT_RESTAR/   ln_rstart  =  .false./" \
--e "s/$PAT_NIT000/   nit000     =     1/" \
--e "s/$PAT_NITEND/   nitend     =     ${ITERATIONS}/" \
--e "s/$PAT_NSTOCK/   nstock     =     ${ITERATIONS}/" \
--e "s/$PAT_NWRITE/   nwrite     =     75/" \
--e "s/$PAT_NRSTDT/   nrstdt     =     0/" \
--e "s/$PAT_NBITCM/   nbit_cmp =     1/" \
--e "s/$PAT_TRACEN/   ln_traadv_cen2   =  .false./" \
--e "s/$PAT_TRATVD/   ln_traadv_tvd    =  .true./" \
--e "s/$PAT_N_CLAA/   n_cla   = 0/" \
--e "s/$PAT_NSOLVV/   nsolv     =      2/" \
--e "s/$PAT_RESMLD/   ln_trdmld_restart  =  .false./" \
+sed    -e "s%$PAT_RESTAR%   ln_rstart  =  .false.%" \
+-e "s%$PAT_NIT000%   nit000     =     1%" \
+-e "s%$PAT_NITEND%   nitend     =     ${ITERATIONS}%" \
+-e "s%$PAT_NSTOCK%   nstock     =     ${ITERATIONS}%" \
+-e "s%$PAT_NWRITE%   nwrite     =     75%" \
+-e "s%$PAT_NRSTDT%   nrstdt     =     0%" \
+-e "s%$PAT_NBITCM%   nbit_cmp =     1%" \
+-e "s%$PAT_TRACEN%   ln_traadv_cen2   =  .false.%" \
+-e "s%$PAT_TRATVD%   ln_traadv_tvd    =  .true.%" \
+-e "s%$PAT_N_CLAA%   n_cla   = 0%" \
+-e "s%$PAT_NSOLVV%   nsolv     =      2%" \
+-e "s%$PAT_RESMLD%   ln_trdmld_restart  =  .false.%" \
 namelist > nam.tmp
 
Index: /trunk/VALID/2INSTALL/JOBS/job_ZAGRIF.ksh
===================================================================
--- /trunk/VALID/2INSTALL/JOBS/job_ZAGRIF.ksh	(revision 1114)
+++ /trunk/VALID/2INSTALL/JOBS/job_ZAGRIF.ksh	(revision 1115)
@@ -55,16 +55,12 @@
 ##############################################################
 # Ocean namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist namelist_f90
-sed -e /!/d  namelist_f90 > namelist
-
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/1_namelist 1_namelist_f90
-sed -e /!/d  1_namelist_f90 > 1_namelist
+cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist .
+
+cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/1_namelist .
 
 # Sea-Ice namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist_ice namelist_ice_f90
-sed -e /!/d  namelist_ice_f90 > namelist_ice
-
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/1_namelist_ice 1_namelist_ice_f90
-sed -e /!/d  1_namelist_ice_f90 > 1_namelist_ice
+cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist_ice_lim2 namelist_ice
+
+cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/1_namelist_ice_lim2 1_namelist_ice
 
 # AGRIF file
@@ -74,16 +70,15 @@
 do
      # namelist modifications
-     PAT_NAMECF=$( grep 'cexper     =' ${CHGFILE} )
-     PAT_NIT000=$( grep 'nit000     =' ${CHGFILE} )
-     PAT_NITEND=$( grep 'nitend     =' ${CHGFILE} )
-     PAT_NSTOCK=$( grep 'nstock     =' ${CHGFILE} )
-     PAT_NWRITE=$( grep 'nwrite     =' ${CHGFILE} )
-     PAT_NRSTDT=$( grep 'nrstdt     =' ${CHGFILE} )
-     PAT_NBITCM=$( grep 'nbit_cmp ='   ${CHGFILE} )
+     PAT_NIT000=$( grep 'nit000      =' ${CHGFILE} )
+     PAT_NITEND=$( grep 'nitend      =' ${CHGFILE} )
+     PAT_NSTOCK=$( grep 'nstock      =' ${CHGFILE} )
+     PAT_NWRITE=$( grep 'nwrite      =' ${CHGFILE} )
+     PAT_NRSTDT=$( grep 'nrstdt      =' ${CHGFILE} )
+     PAT_NBITCM=$( grep 'nbit_cmp   ='   ${CHGFILE} )
      PAT_TRACEN=$( grep 'ln_traadv_cen2   =' ${CHGFILE} )
      PAT_TRATVD=$( grep 'ln_traadv_tvd    =' ${CHGFILE} )
-     PAT_N_CLAA=$( grep 'n_cla   =' ${CHGFILE} )
-     PAT_NSOLVV=$( grep 'nsolv     =' ${CHGFILE} )
-     PAT_RESTAR=$( grep 'ln_rstart  =' ${CHGFILE} )
+     PAT_N_CLAA=$( grep 'n_cla       =' ${CHGFILE} )
+     PAT_NSOLVV=$( grep 'nsolv       =' ${CHGFILE} )
+     PAT_RESTAR=$( grep 'ln_rstart   =' ${CHGFILE} )
      PAT_RESMLD=$( grep 'ln_trdmld_restart =' ${CHGFILE} )
 
@@ -98,17 +93,17 @@
     fi
 
-     sed    -e "s/$PAT_RESTAR/   ln_rstart  =  .false./" \
-     -e "s/$PAT_NAMECF/$PAT_NAMECF_tmp/" \
-     -e "s/$PAT_NIT000/   nit000     =     1/" \
-     -e "s/$PAT_NITEND/   nitend     =     ${ORCA_NITEND}/" \
-     -e "s/$PAT_NSTOCK/   nstock     =     ${ORCA_NITEND}/" \
-     -e "s/$PAT_NWRITE/   nwrite     =     ${ORCA_NSTOCK}/" \
-     -e "s/$PAT_NRSTDT/   nrstdt     =     0/" \
-     -e "s/$PAT_NBITCM/   nbit_cmp =     1/" \
-     -e "s/$PAT_TRACEN/   ln_traadv_cen2   =  .false./" \
-     -e "s/$PAT_TRATVD/   ln_traadv_tvd    =  .true./" \
-     -e "s/$PAT_N_CLAA/   n_cla   = 0/" \
-     -e "s/$PAT_NSOLVV/   nsolv     =      2/" \
-     -e "s/$PAT_RESMLD/   ln_trdmld_restart  =  .false./" \
+     sed    -e "s%$PAT_RESTAR%   ln_rstart  =  .false.%" \
+     -e "s%$PAT_NAMECF%$PAT_NAMECF_tmp%" \
+     -e "s%$PAT_NIT000%   nit000     =     1%" \
+     -e "s%$PAT_NITEND%   nitend     =     ${ORCA_NITEND}%" \
+     -e "s%$PAT_NSTOCK%   nstock     =     ${ORCA_NITEND}%" \
+     -e "s%$PAT_NWRITE%   nwrite     =     ${ORCA_NSTOCK}%" \
+     -e "s%$PAT_NRSTDT%   nrstdt     =     0%" \
+     -e "s%$PAT_NBITCM%   nbit_cmp =     1%" \
+     -e "s%$PAT_TRACEN%   ln_traadv_cen2   =  .false.%" \
+     -e "s%$PAT_TRATVD%   ln_traadv_tvd    =  .true.%" \
+     -e "s%$PAT_N_CLAA%   n_cla   = 0%" \
+     -e "s%$PAT_NSOLVV%   nsolv     =      2%" \
+     -e "s%$PAT_RESMLD%   ln_trdmld_restart  =  .false.%" \
      ${CHGFILE} > nam.$$
      
@@ -162,9 +157,9 @@
         fi
         
-        sed    -e "s/$PAT_RESTAR/   ln_rstart  =  .true./" \
-        -e "s/$PAT_NIT000/   nit000     =     $ORCA_NIT000/" \
-        -e "s/$PAT_NITEND/   nitend     =     $ORCA_NITEND/" \
-        -e "s/$PAT_NRSTDT/   nrstdt     =     2/" \
-        -e "s/$PAT_RESMLD/   ln_trdmld_restart  =  .true./" \
+        sed    -e "s%$PAT_RESTAR%   ln_rstart  =  .true.%" \
+        -e "s%$PAT_NIT000%   nit000     =     $ORCA_NIT000%" \
+        -e "s%$PAT_NITEND%   nitend     =     $ORCA_NITEND%" \
+        -e "s%$PAT_NRSTDT%   nrstdt     =     2%" \
+        -e "s%$PAT_RESMLD%   ln_trdmld_restart  =  .true.%" \
         ${CHGFILE} > nam.$$
         
@@ -206,5 +201,5 @@
         'omp' ) 
 #-T- sx8brodie export F_PROGINF=detail
-#-T- sx8brodie export OMP_NUM_THREADS=${NB_PROCS}
+#-T- sx8brodie export OMP_NUM_THREADS=${NB_PROCS} ;;
 #-T- aix     ;;
 #-T- ax_mono ;;
@@ -218,5 +213,6 @@
               ${CPERF} ./opa_${CONF}_${RUN} ;;
         'mpi' ) 
-              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
+#-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
+#-T- aix              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
 esac
 