Index: trunk/CONFIG/GYRE/EXP00/namelist
===================================================================
--- trunk/CONFIG/GYRE/EXP00/namelist	(revision 1116)
+++ trunk/CONFIG/GYRE/EXP00/namelist	(revision 1117)
@@ -112,5 +112,5 @@
                            !                       =2 combination of 0 and 1 cases             ("key_lim3" only)
    ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
-   ln_rnf      = .false.   !  runoffs (T => fill namsbc_ssr)
+   ln_rnf      = .false.   !  runoffs (T => fill namsbc_rnf)
    ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
    nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
@@ -191,11 +191,12 @@
 !              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
 !              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
-   sn_rnf    = 'runoff_1m_nomask.nc',       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
-   sn_cnf    = 'runoff_1m_nomask.nc',         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
+   sn_rnf    = 'runoff_1m_nomask'   ,       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
+   sn_cnf    = 'runoff_1m_nomask'   ,         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
 !
-   cn_dir      = './'      !  root directory for the location of the runoff files
-   nn_runoff   =   0       !  no runoff (0), runoff (1), runoff+river mouth ups adv with cen2 (2)
-   rn_hrnf     =   0.e0    !  depth over which enhanced vertical mixing is used
-   rn_avt_rnf  =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
+   cn_dir       = './'      !  root directory for the location of the runoff files
+   ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
+   ln_rnf_mouth =   .false. !  specific treatment at rivers mouths
+   rn_hrnf      =   0.e0    !  depth over which enhanced vertical mixing is used
+   rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
 /
 !-----------------------------------------------------------------------
Index: trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist
===================================================================
--- trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 1116)
+++ trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 1117)
@@ -112,5 +112,5 @@
                            !                       =2 combination of 0 and 1 cases             ("key_lim3" only)
    ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
-   ln_rnf      = .false.   !  runoffs (T => fill namsbc_ssr)
+   ln_rnf      = .false.   !  runoffs (T => fill namsbc_rnf)
    ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
    nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
@@ -191,11 +191,12 @@
 !              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
 !              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
-   sn_rnf    = 'runoff_1m_nomask.nc',       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
-   sn_cnf    = 'runoff_1m_nomask.nc',         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
+   sn_rnf    = 'runoff_1m_nomask'   ,       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
+   sn_cnf    = 'runoff_1m_nomask'   ,         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
 !
-   cn_dir      = './'      !  root directory for the location of the runoff files
-   nn_runoff   =   0       !  no runoff (0), runoff (1), runoff+river mouth ups adv with cen2 (2)
-   rn_hrnf     =   0.e0    !  depth over which enhanced vertical mixing is used
-   rn_avt_rnf  =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
+   cn_dir       = './'      !  root directory for the location of the runoff files
+   ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
+   ln_rnf_mouth =   .false. !  specific treatment at rivers mouths
+   rn_hrnf      =   0.e0    !  depth over which enhanced vertical mixing is used
+   rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
 /
 !-----------------------------------------------------------------------
Index: trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1116)
+++ trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1117)
@@ -112,5 +112,5 @@
                            !                       =2 combination of 0 and 1 cases             ("key_lim3" only)
    ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
-   ln_rnf      = .false.   !  runoffs (T => fill namsbc_ssr)
+   ln_rnf      = .false.   !  runoffs (T => fill namsbc_rnf)
    ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
    nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
@@ -191,11 +191,12 @@
 !              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
 !              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
-   sn_rnf    = 'runoff_1m_nomask.nc',       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
-   sn_cnf    = 'runoff_1m_nomask.nc',         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
+   sn_rnf    = 'runoff_1m_nomask'   ,       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
+   sn_cnf    = 'runoff_1m_nomask'   ,         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
 !
-   cn_dir      = './'      !  root directory for the location of the runoff files
-   nn_runoff   =   2       !  no runoff (0), runoff (1), runoff+river mouth ups adv with cen2 (2)
-   rn_hrnf     =   0.e0    !  depth over which enhanced vertical mixing is used
-   rn_avt_rnf  =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
+   cn_dir       = './'      !  root directory for the location of the runoff files
+   ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
+   ln_rnf_mouth =   .false. !  specific treatment at rivers mouths
+   rn_hrnf      =   0.e0    !  depth over which enhanced vertical mixing is used
+   rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
 /
 !-----------------------------------------------------------------------
Index: trunk/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1116)
+++ trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1117)
@@ -112,5 +112,5 @@
                            !                       =2 combination of 0 and 1 cases             ("key_lim3" only)
    ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
-   ln_rnf      = .false.   !  runoffs (T => fill namsbc_ssr)
+   ln_rnf      = .false.   !  runoffs (T => fill namsbc_rnf)
    ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
    nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
@@ -191,11 +191,12 @@
 !              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
 !              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
-   sn_rnf    = 'runoff_1m_nomask.nc',       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
-   sn_cnf    = 'runoff_1m_nomask.nc',         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
+   sn_rnf    = 'runoff_1m_nomask'   ,       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
+   sn_cnf    = 'runoff_1m_nomask'   ,         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
 !
-   cn_dir      = './'      !  root directory for the location of the runoff files
-   nn_runoff   =   2       !  no runoff (0), runoff (1), runoff+river mouth ups adv with cen2 (2)
-   rn_hrnf     =   0.e0    !  depth over which enhanced vertical mixing is used
-   rn_avt_rnf  =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
+   cn_dir       = './'      !  root directory for the location of the runoff files
+   ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
+   ln_rnf_mouth =   .false. !  specific treatment at rivers mouths
+   rn_hrnf      =   0.e0    !  depth over which enhanced vertical mixing is used
+   rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
 /
 !-----------------------------------------------------------------------
Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1116)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1117)
@@ -112,5 +112,5 @@
                            !                       =2 combination of 0 and 1 cases             ("key_lim3" only)
    ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
-   ln_rnf      = .false.   !  runoffs (T => fill namsbc_ssr)
+   ln_rnf      = .false.   !  runoffs (T => fill namsbc_rnf)
    ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
    nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
@@ -191,11 +191,12 @@
 !              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
 !              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
-   sn_rnf    = 'runoff_1m_nomask.nc',       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
-   sn_cnf    = 'runoff_1m_nomask.nc',         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
+   sn_rnf    = 'runoff_1m_nomask'   ,       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
+   sn_cnf    = 'runoff_1m_nomask'   ,         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
 !
-   cn_dir      = './'      !  root directory for the location of the runoff files
-   nn_runoff   =   2       !  no runoff (0), runoff (1), runoff+river mouth ups adv with cen2 (2)
-   rn_hrnf     =   0.e0    !  depth over which enhanced vertical mixing is used
-   rn_avt_rnf  =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
+   cn_dir       = './'      !  root directory for the location of the runoff files
+   ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
+   ln_rnf_mouth =   .false. !  specific treatment at rivers mouths
+   rn_hrnf      =   0.e0    !  depth over which enhanced vertical mixing is used
+   rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
 /
 !-----------------------------------------------------------------------