Index: trunk/NEMO/TOP_SRC/TRP/trp_trc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trp_trc.F90	(revision 1118)
+++ trunk/NEMO/TOP_SRC/TRP/trp_trc.F90	(revision 1118)
@@ -0,0 +1,47 @@
+MODULE trp_trc
+   !!======================================================================
+   !!                         ***  MODULE trp_trc  ***
+   !! TOP :   TOP parameters used in TRP
+   !!======================================================================
+   !! History :   1.0  !  2004-03 (C. Ethe) original code
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id: trp_trc.F90 772 2007-12-17 11:59:33Z gm $ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+#if defined key_top
+   !!----------------------------------------------------------------------
+   !!   'key_top'                                                TOP models
+   !!----------------------------------------------------------------------
+
+   !! passive tracers number
+   USE par_trc, ONLY :   jptra    =>   jptra    !: number of passive tracers
+
+   !! passive tracers fields 
+   USE trc    , ONLY :   trai     =>   trai     !: initial total tracer
+   USE trc    , ONLY :   trb      =>   trb      !: tracer field (before)
+   USE trc    , ONLY :   tra      =>   tra      !: tracer field (now)
+   USE trc    , ONLY :   trn      =>   trn      !: tracer field (after)
+
+   !! time step
+   USE trc    , ONLY :   ndttrc   =>   ndttrc   !: frequency of step on passive tracers (NAMELIST)
+
+   !! non-centered advection scheme (smolarkiewicz)
+   USE trc    , ONLY :   rtrn     =>   rtrn     !: value for truncation (NAMELIST)
+   USE trc    , ONLY :   ctrcnm   =>   ctrcnm   !: value for truncation (NAMELIST)
+
+# if defined key_trc_diaadd
+   USE par_trc, ONLY :   jpdia2d  =>  jpdia2d   !: number of 2D passive tracers diag
+   USE par_trc, ONLY :   jpdia3d  =>  jpdia3d   !: number of 3D passive tracers diag
+   USE trc    , ONLY :   trc2d    =>   trc2d    !: additional 2D variable for ouputs
+   USE trc    , ONLY :   trc3d    =>   trc3d    !: additional 3D variable for ouputs
+# endif
+
+#else
+   !!----------------------------------------------------------------------
+   !!  Empty module :                                     No passive tracer
+   !!----------------------------------------------------------------------
+#endif
+
+   !!======================================================================
+END MODULE trp_trc
Index: trunk/NEMO/TOP_SRC/trp_trc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/trp_trc.F90	(revision 1117)
+++ 	(revision )
@@ -1,47 +1,0 @@
-MODULE trp_trc
-   !!======================================================================
-   !!                         ***  MODULE trp_trc  ***
-   !! TOP :   TOP parameters used in TRP
-   !!======================================================================
-   !! History :   1.0  !  2004-03 (C. Ethe) original code
-   !!----------------------------------------------------------------------
-   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Id: trp_trc.F90 772 2007-12-17 11:59:33Z gm $ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-#if defined key_top
-   !!----------------------------------------------------------------------
-   !!   'key_top'                                                TOP models
-   !!----------------------------------------------------------------------
-
-   !! passive tracers number
-   USE par_trc, ONLY :   jptra    =>   jptra    !: number of passive tracers
-
-   !! passive tracers fields 
-   USE trc    , ONLY :   trai     =>   trai     !: initial total tracer
-   USE trc    , ONLY :   trb      =>   trb      !: tracer field (before)
-   USE trc    , ONLY :   tra      =>   tra      !: tracer field (now)
-   USE trc    , ONLY :   trn      =>   trn      !: tracer field (after)
-
-   !! time step
-   USE trc    , ONLY :   ndttrc   =>   ndttrc   !: frequency of step on passive tracers (NAMELIST)
-
-   !! non-centered advection scheme (smolarkiewicz)
-   USE trc    , ONLY :   rtrn     =>   rtrn     !: value for truncation (NAMELIST)
-   USE trc    , ONLY :   ctrcnm   =>   ctrcnm   !: value for truncation (NAMELIST)
-
-# if defined key_trc_diaadd
-   USE par_trc, ONLY :   jpdia2d  =>  jpdia2d   !: number of 2D passive tracers diag
-   USE par_trc, ONLY :   jpdia3d  =>  jpdia3d   !: number of 3D passive tracers diag
-   USE trc    , ONLY :   trc2d    =>   trc2d    !: additional 2D variable for ouputs
-   USE trc    , ONLY :   trc3d    =>   trc3d    !: additional 3D variable for ouputs
-# endif
-
-#else
-   !!----------------------------------------------------------------------
-   !!  Empty module :                                     No passive tracer
-   !!----------------------------------------------------------------------
-#endif
-
-   !!======================================================================
-END MODULE trp_trc