Index: trunk/CONFIG/GYRE/EXP00/namelist
===================================================================
--- trunk/CONFIG/GYRE/EXP00/namelist	(revision 1126)
+++ trunk/CONFIG/GYRE/EXP00/namelist	(revision 1127)
@@ -277,24 +277,28 @@
 &nambdy        !  unstructured open boundaries parameters               ("key_bdy")
 !-----------------------------------------------------------------------
-    filbdy_mask   = 'bdymask_grid_T.nc'  !  name of mask file (at T-points)
-    filbdy_data_T = 'bdydata_grid_T.nc'  !  name of data file (at T-points)
-    filbdy_data_U = 'bdydata_grid_U.nc'  !  name of data file (at U-points)
-    filbdy_data_V = 'bdydata_grid_V.nc'  !  name of data file (at V-points)
-    ln_bdy_clim = .false.                !  must contain 1 or 12 time dumps and be cyclic
-    ln_bdy_vol  = .false.                !  total volume correction (see volbdy parameter)
-    ln_bdy_fla  = .true.                 !  flather boundary conditions
-    nbdy_dta    = 1                      !  = 0, bdy data are equal to the initial state
-                                         !  = 1, bdy data are read in 'bdydata   .nc' files
-    nb_rimwidth = 1                      !  width of the relaxation zone
-    volbdy      = 1                      !  = 0, the total water flux across open boundaries is zero
-                                         !  = 1, the total volume of the system is conserved
-/
-!-----------------------------------------------------------------------
-&namtide        ! tidal forcing at unstructured boundaries              ("key_bdy_tides")
+    filbdy_mask    =  ''                  !  name of mask file (if ln_bdy_mask=.TRUE.)
+    filbdy_data_T  = 'bdydata_grid_T.nc'  !  name of data file (T-points)
+    filbdy_data_U  = 'bdydata_grid_U.nc'  !  name of data file (U-points)
+    filbdy_data_V  = 'bdydata_grid_V.nc'  !  name of data file (V-points)
+    ln_bdy_clim    = .false.              !  contain 1 (T) or 12 (F) time dumps and be cyclic
+    ln_bdy_vol     = .true.               !  total volume correction (see volbdy parameter)
+    ln_bdy_mask    = .false.              !  boundary mask from filbdy_mask (T) or boundaries are on edges of domain (F)
+    ln_bdy_tides   = .true.               !  Apply tidal harmonic forcing with Flather condition
+    ln_bdy_dyn_fla = .true.               !  Apply Flather condition to velocities
+    ln_bdy_tra_frs = .false.              !  Apply FRS condition to temperature and salinity 
+    ln_bdy_dyn_frs = .false.              !  Apply FRS condition to velocities
+    nbdy_dta       =  1                   !  = 0, bdy data are equal to the initial state
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nb_rimwidth    = 9                    !  width of the relaxation zone
+    volbdy         = 0                    !  = 0, the total water flux across open boundaries is zero
+                                          !  = 1, the total volume of the system is conserved
+/
+!-----------------------------------------------------------------------
+&namtide        ! tidal forcing at unstructured boundaries              
 !-----------------------------------------------------------------------
     filtide      = 'bdytide_'           !  file name root of tidal forcing files
     tide_cpt     = 'M2','S1'            !  names of tidal components used
     tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
-    ln_tide_date = .true.               !  adjust tidal harmonics for start date of run
+    ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
 /
 !!======================================================================
Index: trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist
===================================================================
--- trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 1126)
+++ trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 1127)
@@ -277,24 +277,28 @@
 &nambdy        !  unstructured open boundaries parameters               ("key_bdy")
 !-----------------------------------------------------------------------
-    filbdy_mask   = 'bdymask_grid_T.nc'  !  name of mask file (at T-points)
-    filbdy_data_T = 'bdydata_grid_T.nc'  !  name of data file (at T-points)
-    filbdy_data_U = 'bdydata_grid_U.nc'  !  name of data file (at U-points)
-    filbdy_data_V = 'bdydata_grid_V.nc'  !  name of data file (at V-points)
-    ln_bdy_clim = .false.                !  must contain 1 or 12 time dumps and be cyclic
-    ln_bdy_vol  = .false.                !  total volume correction (see volbdy parameter)
-    ln_bdy_fla  = .true.                 !  flather boundary conditions
-    nbdy_dta    = 1                      !  = 0, bdy data are equal to the initial state
-                                         !  = 1, bdy data are read in 'bdydata   .nc' files
-    nb_rimwidth = 1                      !  width of the relaxation zone
-    volbdy      = 1                      !  = 0, the total water flux across open boundaries is zero
-                                         !  = 1, the total volume of the system is conserved
-/
-!-----------------------------------------------------------------------
-&namtide        ! tidal forcing at unstructured boundaries              ("key_bdy_tides")
+    filbdy_mask    =  ''                  !  name of mask file (if ln_bdy_mask=.TRUE.)
+    filbdy_data_T  = 'bdydata_grid_T.nc'  !  name of data file (T-points)
+    filbdy_data_U  = 'bdydata_grid_U.nc'  !  name of data file (U-points)
+    filbdy_data_V  = 'bdydata_grid_V.nc'  !  name of data file (V-points)
+    ln_bdy_clim    = .false.              !  contain 1 (T) or 12 (F) time dumps and be cyclic
+    ln_bdy_vol     = .true.               !  total volume correction (see volbdy parameter)
+    ln_bdy_mask    = .false.              !  boundary mask from filbdy_mask (T) or boundaries are on edges of domain (F)
+    ln_bdy_tides   = .true.               !  Apply tidal harmonic forcing with Flather condition
+    ln_bdy_dyn_fla = .true.               !  Apply Flather condition to velocities
+    ln_bdy_tra_frs = .false.              !  Apply FRS condition to temperature and salinity 
+    ln_bdy_dyn_frs = .false.              !  Apply FRS condition to velocities
+    nbdy_dta       =  1                   !  = 0, bdy data are equal to the initial state
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nb_rimwidth    = 9                    !  width of the relaxation zone
+    volbdy         = 0                    !  = 0, the total water flux across open boundaries is zero
+                                          !  = 1, the total volume of the system is conserved
+/
+!-----------------------------------------------------------------------
+&namtide        ! tidal forcing at unstructured boundaries              
 !-----------------------------------------------------------------------
     filtide      = 'bdytide_'           !  file name root of tidal forcing files
     tide_cpt     = 'M2','S1'            !  names of tidal components used
     tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
-    ln_tide_date = .true.               !  adjust tidal harmonics for start date of run
+    ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
 /
 !!======================================================================
Index: trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1126)
+++ trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1127)
@@ -277,24 +277,28 @@
 &nambdy        !  unstructured open boundaries parameters               ("key_bdy")
 !-----------------------------------------------------------------------
-    filbdy_mask   = 'bdymask_grid_T.nc'  !  name of mask file (at T-points)
-    filbdy_data_T = 'bdydata_grid_T.nc'  !  name of data file (at T-points)
-    filbdy_data_U = 'bdydata_grid_U.nc'  !  name of data file (at U-points)
-    filbdy_data_V = 'bdydata_grid_V.nc'  !  name of data file (at V-points)
-    ln_bdy_clim = .false.                !  must contain 1 or 12 time dumps and be cyclic
-    ln_bdy_vol  = .false.                !  total volume correction (see volbdy parameter)
-    ln_bdy_fla  = .true.                 !  flather boundary conditions
-    nbdy_dta    = 1                      !  = 0, bdy data are equal to the initial state
-                                         !  = 1, bdy data are read in 'bdydata   .nc' files
-    nb_rimwidth = 1                      !  width of the relaxation zone
-    volbdy      = 1                      !  = 0, the total water flux across open boundaries is zero
-                                         !  = 1, the total volume of the system is conserved
-/
-!-----------------------------------------------------------------------
-&namtide        ! tidal forcing at unstructured boundaries              ("key_bdy_tides")
+    filbdy_mask    =  ''                  !  name of mask file (if ln_bdy_mask=.TRUE.)
+    filbdy_data_T  = 'bdydata_grid_T.nc'  !  name of data file (T-points)
+    filbdy_data_U  = 'bdydata_grid_U.nc'  !  name of data file (U-points)
+    filbdy_data_V  = 'bdydata_grid_V.nc'  !  name of data file (V-points)
+    ln_bdy_clim    = .false.              !  contain 1 (T) or 12 (F) time dumps and be cyclic
+    ln_bdy_vol     = .true.               !  total volume correction (see volbdy parameter)
+    ln_bdy_mask    = .false.              !  boundary mask from filbdy_mask (T) or boundaries are on edges of domain (F)
+    ln_bdy_tides   = .true.               !  Apply tidal harmonic forcing with Flather condition
+    ln_bdy_dyn_fla = .true.               !  Apply Flather condition to velocities
+    ln_bdy_tra_frs = .false.              !  Apply FRS condition to temperature and salinity 
+    ln_bdy_dyn_frs = .false.              !  Apply FRS condition to velocities
+    nbdy_dta       =  1                   !  = 0, bdy data are equal to the initial state
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nb_rimwidth    = 9                    !  width of the relaxation zone
+    volbdy         = 0                    !  = 0, the total water flux across open boundaries is zero
+                                          !  = 1, the total volume of the system is conserved
+/
+!-----------------------------------------------------------------------
+&namtide        ! tidal forcing at unstructured boundaries              
 !-----------------------------------------------------------------------
     filtide      = 'bdytide_'           !  file name root of tidal forcing files
     tide_cpt     = 'M2','S1'            !  names of tidal components used
     tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
-    ln_tide_date = .true.               !  adjust tidal harmonics for start date of run
+    ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
 /
 !!======================================================================
Index: trunk/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1126)
+++ trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1127)
@@ -277,24 +277,28 @@
 &nambdy        !  unstructured open boundaries parameters               ("key_bdy")
 !-----------------------------------------------------------------------
-    filbdy_mask   = 'bdymask_grid_T.nc'  !  name of mask file (at T-points)
-    filbdy_data_T = 'bdydata_grid_T.nc'  !  name of data file (at T-points)
-    filbdy_data_U = 'bdydata_grid_U.nc'  !  name of data file (at U-points)
-    filbdy_data_V = 'bdydata_grid_V.nc'  !  name of data file (at V-points)
-    ln_bdy_clim = .false.                !  must contain 1 or 12 time dumps and be cyclic
-    ln_bdy_vol  = .false.                !  total volume correction (see volbdy parameter)
-    ln_bdy_fla  = .true.                 !  flather boundary conditions
-    nbdy_dta    = 1                      !  = 0, bdy data are equal to the initial state
-                                         !  = 1, bdy data are read in 'bdydata   .nc' files
-    nb_rimwidth = 1                      !  width of the relaxation zone
-    volbdy      = 1                      !  = 0, the total water flux across open boundaries is zero
-                                         !  = 1, the total volume of the system is conserved
-/
-!-----------------------------------------------------------------------
-&namtide        ! tidal forcing at unstructured boundaries              ("key_bdy_tides")
+    filbdy_mask    =  ''                  !  name of mask file (if ln_bdy_mask=.TRUE.)
+    filbdy_data_T  = 'bdydata_grid_T.nc'  !  name of data file (T-points)
+    filbdy_data_U  = 'bdydata_grid_U.nc'  !  name of data file (U-points)
+    filbdy_data_V  = 'bdydata_grid_V.nc'  !  name of data file (V-points)
+    ln_bdy_clim    = .false.              !  contain 1 (T) or 12 (F) time dumps and be cyclic
+    ln_bdy_vol     = .true.               !  total volume correction (see volbdy parameter)
+    ln_bdy_mask    = .false.              !  boundary mask from filbdy_mask (T) or boundaries are on edges of domain (F)
+    ln_bdy_tides   = .true.               !  Apply tidal harmonic forcing with Flather condition
+    ln_bdy_dyn_fla = .true.               !  Apply Flather condition to velocities
+    ln_bdy_tra_frs = .false.              !  Apply FRS condition to temperature and salinity 
+    ln_bdy_dyn_frs = .false.              !  Apply FRS condition to velocities
+    nbdy_dta       =  1                   !  = 0, bdy data are equal to the initial state
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nb_rimwidth    = 9                    !  width of the relaxation zone
+    volbdy         = 0                    !  = 0, the total water flux across open boundaries is zero
+                                          !  = 1, the total volume of the system is conserved
+/
+!-----------------------------------------------------------------------
+&namtide        ! tidal forcing at unstructured boundaries              
 !-----------------------------------------------------------------------
     filtide      = 'bdytide_'           !  file name root of tidal forcing files
     tide_cpt     = 'M2','S1'            !  names of tidal components used
     tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
-    ln_tide_date = .true.               !  adjust tidal harmonics for start date of run
+    ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
 /
 !!======================================================================
Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1126)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1127)
@@ -277,24 +277,28 @@
 &nambdy        !  unstructured open boundaries parameters               ("key_bdy")
 !-----------------------------------------------------------------------
-    filbdy_mask   = 'bdymask_grid_T.nc'  !  name of mask file (at T-points)
-    filbdy_data_T = 'bdydata_grid_T.nc'  !  name of data file (at T-points)
-    filbdy_data_U = 'bdydata_grid_U.nc'  !  name of data file (at U-points)
-    filbdy_data_V = 'bdydata_grid_V.nc'  !  name of data file (at V-points)
-    ln_bdy_clim = .false.                !  must contain 1 or 12 time dumps and be cyclic
-    ln_bdy_vol  = .false.                !  total volume correction (see volbdy parameter)
-    ln_bdy_fla  = .true.                 !  flather boundary conditions
-    nbdy_dta    = 1                      !  = 0, bdy data are equal to the initial state
-                                         !  = 1, bdy data are read in 'bdydata   .nc' files
-    nb_rimwidth = 1                      !  width of the relaxation zone
-    volbdy      = 1                      !  = 0, the total water flux across open boundaries is zero
-                                         !  = 1, the total volume of the system is conserved
-/
-!-----------------------------------------------------------------------
-&namtide        ! tidal forcing at unstructured boundaries              ("key_bdy_tides")
+    filbdy_mask    =  ''                  !  name of mask file (if ln_bdy_mask=.TRUE.)
+    filbdy_data_T  = 'bdydata_grid_T.nc'  !  name of data file (T-points)
+    filbdy_data_U  = 'bdydata_grid_U.nc'  !  name of data file (U-points)
+    filbdy_data_V  = 'bdydata_grid_V.nc'  !  name of data file (V-points)
+    ln_bdy_clim    = .false.              !  contain 1 (T) or 12 (F) time dumps and be cyclic
+    ln_bdy_vol     = .true.               !  total volume correction (see volbdy parameter)
+    ln_bdy_mask    = .false.              !  boundary mask from filbdy_mask (T) or boundaries are on edges of domain (F)
+    ln_bdy_tides   = .true.               !  Apply tidal harmonic forcing with Flather condition
+    ln_bdy_dyn_fla = .true.               !  Apply Flather condition to velocities
+    ln_bdy_tra_frs = .false.              !  Apply FRS condition to temperature and salinity 
+    ln_bdy_dyn_frs = .false.              !  Apply FRS condition to velocities
+    nbdy_dta       =  1                   !  = 0, bdy data are equal to the initial state
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nb_rimwidth    = 9                    !  width of the relaxation zone
+    volbdy         = 0                    !  = 0, the total water flux across open boundaries is zero
+                                          !  = 1, the total volume of the system is conserved
+/
+!-----------------------------------------------------------------------
+&namtide        ! tidal forcing at unstructured boundaries              
 !-----------------------------------------------------------------------
     filtide      = 'bdytide_'           !  file name root of tidal forcing files
     tide_cpt     = 'M2','S1'            !  names of tidal components used
     tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
-    ln_tide_date = .true.               !  adjust tidal harmonics for start date of run
+    ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
 /
 !!======================================================================